CI 묻고 답하기

제목 에러메시지
카테고리 일반
글쓴이 CI3newbi 작성시각 2022/05/13 23:43:08
댓글 : 2 추천 : 0 스크랩 : 0 조회수 : 100   RSS

안녕하세요 CI버전3 설치하고

이제 막 공부중에 있는데 이러한 오류가 뜨네요..구글링 해봐도 안 나오는데.. 어떤게 문제일까요?

아래 URL 따라하는 중에 있었습니다.

http://www.ciboard.co.kr/user_guide/kr/general/controllers.html#what-is-a-controller

 

 

ㅂ브블블ㄹㄹ

 

블로그 코드는 아래와 같습니다

<?phpclass Blog extends CI_Controller {

        public function index()        {                echo 'Hello World!';        }}

 다음글 ci session 로그인 질문 드립니다.
 이전글 max_execution_time 관련 질문입니다. (1)

댓글

CI3newbi / 2022/05/13 23:48:33 / 추천 0
php 버전을 7.3으로 다운그레이드 해야하나요?..
한대승(불의회상) / 2022/05/16 09:37:48 / 추천 0

PHP 8.1의 Deprecated Features를 살펴 보시길 권장 드립니다.

https://www.php.net/manual/en/migration81.deprecated.php

해당 오류는 "Passing null to non-nullable parameters of built-in functions" 에 해당하며 str_replace()에 null을 전달하여 발생한 문제입니다.

PHP버전을 8.0 이하로 낮추시거나 프레임워크를 직접 수정하여 해결 가능합니다.